#
# spec file for package AtomicParsley
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           AtomicParsley
Version:        20200701.154658.b0d6223
Release:        pm152.1.1
Summary:        MPEG-4 metadata editor
License:        GPL-2.0-only
Group:          Productivity/Networking/File-Sharing
URL:            https://github.com/wez/atomicparsley
Source:         https://github.com/wez/atomicparsley/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  cmake >= 3.17
BuildRequires:  pkgconfig(zlib)

%description
AtomicParsley is a lightweight command line program for reading, parsing and setting metadata into MPEG-4 files, in particular, iTunes-style metadata.

%prep
%setup -q -n atomicparsley-%{version}

%build
%cmake
%cmake_build

%install
install -Dm 0755 build/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}

%changelog
* Sun Nov 29 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 20200701.154658.b0d6223
  * The version scheme now follows the date and time of the
    released commit + git commit hash rather than a human
    assigned number
  * Fixed some bogus bitwise operations around supplemental info
  * Fixed a crash when running with -T
  * Increased MAX_ATOMS
  * Add f4v brand
  * Simplified jpeg file recognition and made it hopefully more
    compatible
  * Add tags for roles in classical music
  * --hdvideo now supports tagging 1080p videos
  * Re-enable buffering for writes
- Drop _service file
- Add .changes file
- Switch to new upstream repository
- Switch build to cmake
- Spec cleanup
